//////////////////////////////////////////////////////////////////
//  TKLTrack
//
//    Track data object 
//
// $Id:$
// Author: Dan Dwyer
//////////////////////////////////////////////////////////////////

#ifndef __TKLTrack__
#define __TKLTrack__

#include "TVector3.h"
#include "TKLDataObject.hh"

class TKLTrack : public TKLDataObject {
public:
  
  TKLTrack() { }
  virtual ~TKLTrack() { }
  
private:
  TVector3 fMidpoint;  // Point of closest approach to detector center [mm]
  Double_t fTime;      // Time of closest approach to detector center [ns]
  TVector3 fVelocity;  // Particle 3-velocity in units of c.
  Double_t fEnergy;    // total energy estimate [ADC*ns]
  Double_t fChiSquare; // ChiSquare per degree of freedom
  Int_t    fNDF;       // Number of degrees of freedom
  Int_t    fStatus;    // Status: = 0 -> OK, != 0 -> Problem; see ETrackStatus

private:
  ClassDef(TKLTrack,3) // Improved Track Object
};

#endif // __TKLTrack__
